#ifndef __NLL_NLL_H_INCLUDED__
#define __NLL_NLL_H_INCLUDED__

int nll_init(FILE *in, FILE *out);
int nll_new(void);
int nll_done(void);
int nll_clear_line(line_t line);
int nll_parse(line_t line);
int nll_start(line_t line, command_t command, int *retcodep);
int nll_exec(spot_t spot, spot_t current, position_type_t type, value_t *valuep, int *retcodep);
char *nll_line_buffer(line_t line);
int nll_line_edit(int number, int number2, char *buffer, line_t *linep);
int nll_line_free(line_t line);

#endif
